Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityAITarget

    java.lang.Object
      net.minecraft.src.EntityAIBase
          net.minecraft.src.EntityAITarget

Direct Known Subclasses:
  EntityAIDefendVillage, EntityAIHurtByTarget, EntityAINearestAttackableTarget, EntityAIOwnerHurtByTarget, EntityAIOwnerHurtTarget

    public abstract class EntityAITarget

extends EntityAIBase

Constructor Summary
`EntityAITarget(EntityLiving par1EntityLiving, float par2, boolean par3)`
`EntityAITarget(EntityLiving par1EntityLiving, float par2, boolean par3, boolean par4)`

Method Summary
`boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
`void` | `resetTask()` Resets the task
`void` | `startExecuting()` Execute a one shot task or start executing a continuous task

Methods inherited from class net.minecraft.src.EntityAIBase
`getMutexBits, isContinuous, setMutexBits, shouldExecute, updateTask`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAITarget

    public EntityAITarget(EntityLiving par1EntityLiving,
                          float par2,
                          boolean par3)

### EntityAITarget

    public EntityAITarget(EntityLiving par1EntityLiving,
                          float par2,
                          boolean par3,
                          boolean par4)

Method Detail

### continueExecuting

    public boolean continueExecuting()

  Returns whether an in-progress EntityAIBase should continue executing

  Overrides:
    `continueExecuting` in class `EntityAIBase`

### startExecuting

    public void startExecuting()

  Execute a one shot task or start executing a continuous task

  Overrides:
    `startExecuting` in class `EntityAIBase`

### resetTask

    public void resetTask()

  Resets the task

  Overrides:
    `resetTask` in class `EntityAIBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD